#! /usr/bin/env python

from openturns import *

TESTPREAMBLE()
RandomGenerator().SetSeed(0)

try :
    distribution = FarlieGumbelMorgensternCopula(0.7)
    size = 1000
    sample = distribution.getSample(size)
    factory = FarlieGumbelMorgensternCopulaFactory()
    estimatedDistribution = factory.build(sample)
    print "distribution=", repr(distribution)
    print "Estimated distribution=", repr(estimatedDistribution)

except :
    import sys
    print "t_FarlieGumbelMorgensternFactory.py", sys.exc_type, sys.exc_value
